<?php 
class WCOSM_Option
{
	public function __construct()
	{
	}
	function cl_acf_set_language() 
	{
	  return acf_get_setting('default_language');
	}
	public function get_all_threshold_levels()
	{
		add_filter('acf/settings/current_language',  array(&$this, 'cl_acf_set_language'), 100);
		$all_data = array();
		$all_data['thresholds'] = array();
		$all_data['default'] = get_field('wcosm_default_level', 'option'); //Check if value exists: if( $value )
		$all_data['email_recipients'] = get_field('wcosm_email_notification_recipients', 'option'); 
		$all_data['default_email_notification_enabled'] = get_field('wcosm_default_enable_notification_emails', 'option'); 
		if( have_rows('wcosm_choose_stock_threshold', 'option') )
			while ( have_rows('wcosm_choose_stock_threshold', 'option') ) 
			{
				the_row();
				$all_data['thresholds'][] = array('warning_level' => get_sub_field('wcosm_warning_level'), 
									'select_strategy' => get_sub_field('wcosm_select_strategy'),
									'rule_name' => get_sub_field('wcosm_rule_name') ? get_sub_field('wcosm_rule_name') : "",
									'products' => get_sub_field('wcosm_products'),
									'categories' => get_sub_field('wcosm_categories'),
									'email_notification' => get_sub_field('wcosm_email_notification'),
									'email_notification_recipients' => get_sub_field('wcosm_email_notification_recipients') ? get_sub_field('wcosm_email_notification_recipients') : "",
									'categories_children' => get_sub_field('wcosm_categories_children'));

			}
		remove_filter('acf/settings/current_language', array(&$this,'cl_acf_set_language'), 100);
		return $all_data;
	}
}
?>